services:

  npm:
    image: 'jc21/nginx-proxy-manager:latest'
    restart: unless-stopped
    ports:
      - "8080:80"
      - "8180:81"
      - "4443:443"
    environment:
      DB_SQLITE_FILE: "/data/database.sqlite"
    volumes:
      - /home/docker/DenFury/data:/data
      - /home/docker/DenFury/letsencrypt:/etc/letsencrypt
      - /home/docker/DenFury/logs:/var/log/nginx
    networks:
      tan-network:
        ipv4_address: 10.10.0.2

networks:
  tan-network:
    external: true
